import { HttpClient } from '@angular/common/http';
import { BehaviorSubject } from 'rxjs';
import { Configurations } from '../configurations';
import { TokenDecoderService } from './token-decoder.service';
import * as i0 from "@angular/core";
export declare class AuthService {
    private http;
    private decoder;
    env: any;
    previewPanel: BehaviorSubject<boolean>;
    userDetails: any;
    constructor(http: HttpClient, decoder: TokenDecoderService, config?: Configurations);
    userId(): any;
    getUserDetails(): any;
    isKeyAdmin(): boolean;
    isAdmin(): boolean;
    isManager(): boolean;
    isUser(): boolean;
    isValidToken(): boolean;
    tokenInfo(): any;
    getAuthorizationToken(): any;
    getUserTimeZone(): string;
    getOrganizationId(): number;
    getMemberId(): number;
    logout(): void;
    isTokenExpired(): boolean | Promise<boolean>;
    isLoggedIn(): boolean;
    getOrganizationDetails(): import("rxjs").Observable<Object>;
    getUserInfo(): import("rxjs").Observable<Object>;
    getSubscriptionDetails(): import("rxjs").Observable<Object>;
    convertUtcToLocalDateTime(timestamp: string | number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuthService>;
}
